/****************************************************************************
	Knihovna pro kresleni grafickych objektu. Aktualne jsou implementovany
	objekty Tlacitko, Text Box a Tlacitko s obrazkem.

*****************************************************************************/

#ifndef GR_COMMONS_H
#define GR_COMMONS_H

#include "GR_object.h"

/****************************************************************************
	Globalni definice
*****************************************************************************/
extern FONT FONT_BTN_OK;
extern FONT FONT_BTN_CANCEL;

extern TScreenObjectParams PARAMS_BTN_OK;
extern TScreenObjectParams PARAMS_BTN_CANCEL;
extern TScreenObjectParams PARAMS_BTN_INFO_OK;

void DrawButton(TScreenObject * obj,OBJECT_MESSAGE msg);
void DrawButtonShape(TScreenObject* obj, OBJECT_MESSAGE msg);
void DrawBitmappedButton(TScreenObject * obj,OBJECT_MESSAGE msg);
void DrawDataButtonSkelet(TScreenObject * obj,OBJECT_MESSAGE msg);
void DrawTextBoxShape(TScreenObject* obj ,OBJECT_MESSAGE message);
void DrawTextBox(TScreenObject* obj ,OBJECT_MESSAGE message);
void DrawTextBoxShadowed(TScreenObject* obj ,OBJECT_MESSAGE message);
void SwitchCursor(void);
void ForceCursor(ANSWER cur);
#endif